#!/bin/bash

# set permissions for script files
chmod a+x /data/dbus-dtu-ahoy/restart.sh
chmod 744 /data/dbus-dtu-ahoy/restart.sh

chmod a+x /data/dbus-dtu-ahoy/uninstall.sh
chmod 744 /data/dbus-dtu-ahoy/uninstall.sh

chmod a+x /data/dbus-dtu-ahoy/service/run
chmod 755 /data/dbus-dtu-ahoy/service/run



# create sym-link to run script in deamon
ln -s /data/dbus-dtu-ahoy/service /service/dbus-dtu-ahoy



# add install-script to rc.local to be ready for firmware update
filename=/data/rc.local
if [ ! -f $filename ]
then
    touch $filename
    chmod 755 $filename
    echo "#!/bin/bash" >> $filename
    echo >> $filename
fi

grep -qxF '/data/dbus-dtu-ahoy/install.sh' $filename || echo '/data/dbus-dtu-ahoy/install.sh' >> $filename
